%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% TWO STEPS REQUIRED FOR EACH SIMULATION:
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 1. RUN MC SIMULATION BY CALLING:  mc_static(rep,N,T,R0,Rmax,beta0,outputfile)
%    ===> OUTPUT: outputfile.mat 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 2. CALCULATE SUMMARY STATISTICS FOR EACH MC SIMULATION BY CALLING: create_statistics
%    ===> OUTPUT: outputfile-stats.cls 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% AFTERWARDS THE CLS FILE CONTAINS ALL THE REQUIRED SIMULATION STATISTICS,
% THE FILE CAN BE OPENED WITH EXCEL
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%N=100:

mc_static(10000,100,10,2,5,1,'results_N100_T10')
create_statistics('results_N100_T10')

mc_static(10000,100,30,2,5,1,'results_N100_T30')
create_statistics('results_N100_T30')

mc_static(10000,100,100,2,5,1,'results_N100_T100')
create_statistics('results_N100_T100')

mc_static(10000,100,300,2,5,1,'results_N100_T300')
create_statistics('results_N100_T300')

%N=300:

mc_static(10000,300,10,2,5,1,'results_N300_T10')
create_statistics('results_N300_T10')

mc_static(10000,300,30,2,5,1,'results_N300_T30')
create_statistics('results_N300_T30')

mc_static(10000,300,100,2,5,1,'results_N300_T100')
create_statistics('results_N300_T100')

mc_static(10000,300,300,2,5,1,'results_N300_T300')
create_statistics('results_N300_T300')






