%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% TWO STEPS REQUIRED FOR EACH SIMULATION:
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 1. RUN MC SIMULATION BY CALLING:  mc_ar1(rep,N,T,R0,Rmax,beta0,rhof,outputfile)
%    ===> OUTPUT: results????.mat
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 2. CALCULATE SUMMARY STATISTICS FOR EACH MC SIMULATION BY CALLING: create_statistics
%    ===> OUTPUT: results????-stats.cls
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% AFTERWARDS THE CLS FILE CONTAINS ALL THE REQUIRED SIMULATION STATISTICS,
% THE FILE CAN BE OPENED WITH EXCEL
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%for beta0=0.2:

mc_ar1(10000,300,30,2,5,0.2,0.5,'results_b02_T30')
create_statistics('results_b02_T30')

mc_ar1(10000,300,100,2,5,0.2,0.5,'results_b02_T100')
create_statistics('results_b02_T100')

mc_ar1(10000,300,300,2,5,0.2,0.5,'results_b02_T300')
create_statistics('results_b02_T300')

mc_ar1(10000,300,1000,2,5,0.2,0.5,'results_b02_T1000')
create_statistics('results_b02_T1000')

%for beta0=0.5:

mc_ar1(10000,300,30,2,5,0.5,0.5,'results_b05_T30')
create_statistics('results_b05_T30')

mc_ar1(10000,300,100,2,5,0.5,0.5,'results_b05_T100')
create_statistics('results_b05_T100')

mc_ar1(10000,300,300,2,5,0.5,0.5,'results_b05_T300')
create_statistics('results_b05_T300')

mc_ar1(10000,300,1000,2,5,0.5,0.5,'results_b05_T1000')
create_statistics('results_b05_T1000')

%for beta0=0.8:

mc_ar1(10000,300,30,2,5,0.8,0.5,'results_b08_T30')
create_statistics('results_b08_T30')

mc_ar1(10000,300,100,2,5,0.8,0.5,'results_b08_T100')
create_statistics('results_b08_T100')

mc_ar1(10000,300,300,2,5,0.8,0.5,'results_b08_T300')
create_statistics('results_b08_T300')

mc_ar1(10000,300,1000,2,5,0.8,0.5,'results_b08_T1000')
create_statistics('results_b08_T1000')
